package com.petshop.backend.dto.supplier;

import java.time.LocalDateTime;
import java.util.Objects;

public class SupplierResponse {
    private Long supId;
    private String supCompany;
    private String supContactFirstName;
    private String supContactLastName;
    private String supEmail;
    private String supPhone;
    private LocalDateTime createdAt;
    private LocalDateTime updatedAt;

    public SupplierResponse() {
    }

    public SupplierResponse(Long supId, String supCompany, String supContactFirstName, String supContactLastName, String supEmail, String supPhone, LocalDateTime createdAt, LocalDateTime updatedAt) {
        this.supId = supId;
        this.supCompany = supCompany;
        this.supContactFirstName = supContactFirstName;
        this.supContactLastName = supContactLastName;
        this.supEmail = supEmail;
        this.supPhone = supPhone;
        this.createdAt = createdAt;
        this.updatedAt = updatedAt;
    }

    public Long getSupId() {
        return supId;
    }

    public void setSupId(Long supId) {
        this.supId = supId;
    }

    public String getSupCompany() {
        return supCompany;
    }

    public void setSupCompany(String supCompany) {
        this.supCompany = supCompany;
    }

    public String getSupContactFirstName() {
        return supContactFirstName;
    }

    public void setSupContactFirstName(String supContactFirstName) {
        this.supContactFirstName = supContactFirstName;
    }

    public String getSupContactLastName() {
        return supContactLastName;
    }

    public void setSupContactLastName(String supContactLastName) {
        this.supContactLastName = supContactLastName;
    }

    public String getSupEmail() {
        return supEmail;
    }

    public void setSupEmail(String supEmail) {
        this.supEmail = supEmail;
    }

    public String getSupPhone() {
        return supPhone;
    }

    public void setSupPhone(String supPhone) {
        this.supPhone = supPhone;
    }

    public LocalDateTime getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(LocalDateTime createdAt) {
        this.createdAt = createdAt;
    }

    public LocalDateTime getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(LocalDateTime updatedAt) {
        this.updatedAt = updatedAt;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        SupplierResponse that = (SupplierResponse) o;
        return Objects.equals(supId, that.supId) && Objects.equals(supCompany, that.supCompany) && Objects.equals(supContactFirstName, that.supContactFirstName) && Objects.equals(supContactLastName, that.supContactLastName) && Objects.equals(supEmail, that.supEmail) && Objects.equals(supPhone, that.supPhone) && Objects.equals(createdAt, that.createdAt) && Objects.equals(updatedAt, that.updatedAt);
    }

    @Override
    public int hashCode() {
        return Objects.hash(supId, supCompany, supContactFirstName, supContactLastName, supEmail, supPhone, createdAt, updatedAt);
    }

    @Override
    public String toString() {
        return "SupplierResponse{" +
                "supId=" + supId +
                ", supCompany='" + supCompany + '\'' +
                ", supContactFirstName='" + supContactFirstName + '\'' +
                ", supContactLastName='" + supContactLastName + '\'' +
                ", supEmail='" + supEmail + '\'' +
                ", supPhone='" + supPhone + '\'' +
                ", createdAt=" + createdAt +
                ", updatedAt=" + updatedAt +
                '}';
    }
}
